from pyinfra.operations import apt
from pyinfra_docker import deploy_docker

from tasks.ssh import setup_ssh
from tasks.tailscale import deploy_tailscale

apt.packages(
    name="Update and upgrade server",
    update=True,
    upgrade=True,
)

apt.packages(
    name="Install useful packages",
    packages=["htop", "curl", "ufw", "qemu-guest-agent"],
)

apt.packages(
    name="Install packages required by Docker",
    packages=[
        "apt-transport-https",
        "ca-certificates",
        "curl",
        "gnupg-agent",
        "software-properties-common",
    ],
)

setup_ssh()

deploy_docker()

deploy_tailscale()
